@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@300;400;600;700&amp;display=swap');
.scroll-bar::-webkit-scrollbar {
	background-color: #3c3c3c;
	width: 2px;
  }
  .scroll-bar::-webkit-scrollbar-thumb {
	background-color: #001E41;
  }
  .blink {
	animation: blink 1s ease-in-out infinite;
  }
  #wrapper {
	/* background-color: #1e1e1e; */
	overflow-x: hidden;
	width: 100%;
	background-color: #f6f6f7;
  }
  
  #type-screen {
	margin: auto;
	/* overflow: hidden; */
	position: relative;
	user-select: none;
	width: 825px;
	max-width: 100%;
  }
  #type-screen #title {
	/* background: linear-gradient(to right, #001E41 33%, #03a9f4 33%, #03a9f4 66%, #4a148c 66%); */
	border-radius: 2px;
	margin-top: 20px;
	overflow: hidden;
	padding-bottom: 2px;
  }
  #type-screen #title h1 {
	background-color: transparent;
	color: #333;
	font-family: "Source Code Pro", monospace;
	font-weight: 300;
	margin: 0px;
	padding: 10px;
  }
  #type-screen #top-bar {
	height: auto;
	overflow: hidden;
	position: relative;
	display: flex;
	justify-content: space-between;
  }
  #type-screen #top-bar #time-box, #type-screen #top-bar #speed-box {
	border-radius: 20px;
	/* box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 10px, rgba(0, 0, 0, 0.23) 0px 3px 10px; */
	display: inline-block;
	margin: 20px 0px 0px;
	position: relative;
	top: 0px;
	border: 3px solid #0E77F1;
	overflow: hidden;
  }
  #type-screen #top-bar #time-box .icon, #type-screen #top-bar #speed-box .icon {
	color: white;
	display: inline-block;
  }
  #type-screen #top-bar #time, #type-screen #top-bar #speed {
	background-color: #fff;
	/* border-radius: 20px; */
	color: #333;
	display: inline-block;
	font-weight: 100;
	height: 36px;
	margin: 2px;
	padding: 10px 20px;
  }
  #type-screen #top-bar #time-box {
	/* background: #0E77F1; */
	left: 0px;
  }
  #type-screen #top-bar #time-box #time {
	font-size: 2em;
	text-align: center;
	white-space: nowrap;
	display: inline-flex;
    align-items: center;
    justify-content: center;
  }
  #type-screen #top-bar #time-box #time #time-value {
	display: inline-block;
	width: 70px;
  }
  #type-screen #top-bar #speed-box {
	/* background: #0E77F1; */
	right: 0px;
  }
  #type-screen #top-bar #speed-box #speed {
	font-size: 1.5em;
	position: relative;
	white-space: nowrap;
	width: 102px;
  }
  #type-screen #top-bar #speed-box #speed #wpm {
	display: inline-block;
	height: 22px;
	line-height: 22px;
	text-align: center;
	vertical-align: top;
	width: 40px;
  }
  #type-screen #top-bar #speed-box #speed #wpm .val {
	animation: alternate-wpm 250ms ease-in-out;
  }
  #type-screen #top-bar #speed-box #speed .label {
	display: inline-block;
	height: 22px;
	line-height: 22px;
	vertical-align: top;
  }
  #type-screen #top-bar #speed-box #speed #average {
    bottom: 10px;
    display: inline-block;
    font-size: 0.5em;
    height: 10px;
    left: auto;
    right: 30px;
    line-height: 10px;
    position: absolute;
    text-align: right;
  }
  #type-screen #prompt {
	background-color: transparent;
	border-radius: 20px;
	/* box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 10px, rgba(0, 0, 0, 0.23) 0px 3px 10px; */
	height: 40px;
	margin: auto;
	margin-top: 20px;
	overflow: hidden;
	position: relative;
	width: 0px;
	z-index: 2;
	box-shadow: 0 9px 24px rgb(0 0 0 / 12%), 0 9px 24px rgb(0 0 0 / 12%);
  }
  #type-screen #prompt:after, #type-screen #prompt:before {
	content: "";
	position: absolute;
  }
  #type-screen #prompt:before {
	/* background: linear-gradient(45deg, #4a148c, #001E41, #03a9f4); */
	height: 100%;
	left: 0px;
	top: 0px;
	width: 100%;
	z-index: 1;
  }
  #type-screen #prompt:after {
	background-color: #fff;
	height: calc(100% - 4px);
	left: 2px;
	top: 2px;
	width: calc(100% - 4px);
	z-index: 2;
  }
  #type-screen #prompt #prompt-number {
	background: #0E77F1;
	border-radius: 100px;
	position: absolute;
	right: 10px;
	top: 10px;
	z-index: 5;
  }
  #type-screen #prompt #prompt-number h1#prompt-number-value {
	background-color: #0E77F1;
	border-radius: 100px;
	color: white;
	font-family: "Source Code Pro", monospace;
	font-size: 0.8em;
	font-weight: 200;
	height: 15px;
	line-height: 15px;
	margin: 2px;
	padding: 5px;
	text-align: center;
	width: 15px;
  }
  #type-screen #prompt #prompt-letters {
	margin: 40px auto;
	position: relative;
	z-index: 3;
  }
  #type-screen #prompt #prompt-cursor {
	background-color: #03a9f4;
	height: 40px;
	left: 24px;
	position: absolute;
	top: 40px;
	width: 1px;
	z-index: 10;
  }
  #type-screen #prompt #prompt-cursor #prompt-cursor-trail {
	height: 90%;
	left: 0px;
	overflow: hidden;
	position: absolute;
	top: 5%;
	transform: translateX(-100%);
	width: 20px;
  }
  #type-screen #prompt #prompt-cursor #prompt-cursor-trail .trail {
	animation: cursor-trail 200ms ease-in-out infinite;
	color: white;
	font-size: 0.4em;
	height: 8px;
	line-height: 8px;
	opacity: 0;
	right: 0px;
	position: absolute;
	text-align: right;
	width: 8px;
  }
  #type-screen #prompt .letter {
	color: #333;
	font-weight: 200;
	position: absolute;
  }
  #type-screen #prompt .letter.complete {
	animation: letter-complete 0.25s ease-in-out;
	color: #4caf50;
  }
  #type-screen #prompt .letter.success {
	animation: letter-success 0.25s ease-in-out;
	color: #2e7d32;
  }
  #type-screen #prompt .letter.error {
	animation: letter-error 0.25s ease-in-out;
	color: #d32f2f;
  }
  #type-screen #prompt .letter.error:after {
	background-color: #d32f2f;
	bottom: -2px;
	content: "";
	height: 1px;
	left: 0px;
	position: absolute;
	width: 100%;
  }
  #type-screen #prompt .letter.ignore {
	display: none;
  }
  #type-screen #author {
	color: #001E41;
	font-family: "Source Code Pro", monospace;
	font-size: 1.5em;
	margin-top: 15px;
	text-shadow: 0px 0px 1px rgba(0, 0, 0, 0.4);
  }
  #type-screen #input-field {
	height: 40px;
	margin: auto;
	margin-top: 100px;
	position: relative;
	text-align: center;
	width: 825px;
	z-index: 10;
  }
  #type-screen #input-field:after {
	background-color: black;
	bottom: -4px;
	content: "";
	height: 1px;
	left: 0px;
	position: absolute;
	width: 100%;
	z-index: -1;
  }
  #type-screen #input-field #input-field-letters {
	display: inline-block;
	height: 100%;
	left: 50%;
	position: absolute;
	text-align: center;
	transform: translateX(-50%);
	white-space: nowrap;
  }
  #type-screen #input-field #input-field-letters:after {
	background: linear-gradient(to right, #ab47bc, #03a9f4);
	bottom: -2px;
	content: "";
	height: 1px;
	left: 0px;
	position: absolute;
	width: 100%;
  }
  #type-screen #input-field #input-field-letters .letter {
	animation: zoom-in 0.25s ease-in-out;
	color: white;
	font-weight: 200;
  }
  #type-screen #bottom-bar {
	margin-top: 24px;
	position: relative;
	width: 100%;
  }
  #type-screen #bottom-bar .button {
	border-radius: 4px;
	/* box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 10px, rgba(0, 0, 0, 0.23) 0px 3px 10px; */
	display: inline-block;
	transition: all 0.4s;
  }
  #type-screen #bottom-bar .button:hover {
	background: #596fdd;
  }
  #type-screen #bottom-bar .button:hover h1 {
	background-color: transparent;
  }
  #type-screen #bottom-bar .button h1,
  #type-screen #bottom-bar .button span {
	background-color: #1e1e1e;
	color: white;
	cursor: pointer;
	font-size: 1em;
	font-weight: 300;
	margin: 2px;
	padding: 10px 20px;
	/* text-shadow: 0px 0px 1px rgba(0, 0, 0, 0.4); */
	transition: all 0.4s;
  }
  #type-screen #bottom-bar #reset {
	background: #0E77F1;
  }
  #type-screen #bottom-bar #nav-buttons {
	position: absolute;
	right: 0px;
	top: 0px;
  }
  #type-screen #bottom-bar #nav-buttons #next, #type-screen #bottom-bar #nav-buttons #prev {
	display: inline-block;
  }
  #type-screen #bottom-bar #nav-buttons #next.disabled, #type-screen #bottom-bar #nav-buttons #prev.disabled {
	opacity: 0.5;
	pointer-events: none;
  }
  #type-screen #bottom-bar #nav-buttons #prev {
	background: #7f7f7f;
	color: #000;
  }
  #type-screen #bottom-bar #nav-buttons #next {
	/* background: linear-gradient(to left, #001E41, #03a9f4); */
	margin-left: 15px;
	background: #0E77F1;
  }
  #type-screen #history {
	margin: 40px 0px 80px;
  }
  #type-screen #history .title span {
    color: #001E41;
    font-weight: bold;
    font-size: 24px;
}
  #type-screen #history .title {
	/* background: linear-gradient(to left, #001E41 33%, #03a9f4 33%, #03a9f4 66%, #4a148c 66%); */
	padding-bottom: 2px;
  }
  #type-screen #history .title h1 {
	/* background-color: #1e1e1e; */
	color: #333;
	font-size: 1.25em;
	font-family: "Source Code Pro", monospace;
	font-weight: 200;
	margin: 0px;
  }
  #type-screen #history .labels {
	border-bottom: 1px solid #3c3c3c;
	font-size: 0px;
	margin-top: 5px;
	padding: 5px 0px;
	position: relative;
	width: 100%;
  }
  #type-screen #history .labels .label {
	color: #5a5a5a;
	display: inline-block;
	font-family: "Source Code Pro", monospace;
	font-size: 16px;
	font-weight: 300;
	margin-left: 10px;
  }
  #type-screen #history .labels .label.l1 {
	width: 50px;
  }
  #type-screen #history .labels .label.l2 {
	width: 150px;
  }
  #type-screen #history .labels .label.l3 {
	width: 150px;
  }
  #type-screen #history #history-items {
	font-size: 0px;
  }
  #type-screen #history #history-items .item {
	color: #333;
	padding: 5px 0px;
  }
  #type-screen #history #history-items .item:nth-child(odd) {
	background-color: rgba(255, 255, 255, 0.05);
  }
  #type-screen #history #history-items .item .item-no, #type-screen #history #history-items .item .test-no, #type-screen #history #history-items .item .wpm {
	color: #333;
	display: inline-block;
	font-family: "Source Code Pro", monospace;
	font-size: 16px;
	font-weight: 300;
	margin-left: 10px;
  }
  #type-screen #history #history-items .item .item-no {
	width: 50px;
  }
  #type-screen #history #history-items .item .test-no, #type-screen #history #history-items .item .wpm {
	width: 150px;
  }
  #type-screen .letter {
	display: inline-block;
	font-family: "Source Code Pro", monospace;
	font-size: 2.5em;
	font-weight: 200;
	height: 40px;
	text-align: center;
	/* text-shadow: 0px 0px 2px rgba(0, 0, 0, 0.6); */
	width: 25px;
  }
  #type-screen .letter.flying {
	color: #2e7d32;
	position: absolute;
	transition: all 250ms;
	transition-timing-function: ease-in-out;
	z-index: 100;
  }
  
  @keyframes zoom-in {
	from {
	  color: black;
	  opacity: 0;
	  transform: scale(0.25);
	}
	50% {
	  transform: scale(1.5);
	}
	to {
	  color: white;
	  opacity: 1;
	  transform: scale(1);
	}
  }
  @keyframes alternate-wpm {
	from {
	  opacity: 0.75;
	  transform: scale(1);
	}
	50% {
	  opacity: 1;
	  transform: scale(1.05);
	}
	to {
	  transform: scale(1);
	}
  }
  @keyframes letter-complete {
	from, to {
	  color: #cddc39;
	  transform: scale(1);
	}
	50% {
	  color: #2e7d32;
	  transform: scale(1.5);
	}
  }
  @keyframes letter-success {
	from {
	  color: white;
	  transform: scale(1);
	}
	50% {
	  transform: scale(1.5);
	}
	to {
	  color: rgba(205, 220, 57, 0.6);
	  transform: scale(1);
	}
  }
  @keyframes letter-error {
	from {
	  color: white;
	  transform: translateX(0%) scale(1);
	}
	20% {
	  transform: translateX(-20%) scale(1.1);
	}
	40% {
	  transform: translateX(20%) scale(1.2);
	}
	50% {
	  transform: translateX(20%) scale(1.5);
	}
	60% {
	  transform: translateX(-10%) scale(1.2);
	}
	80% {
	  transform: translateX(10%) scale(1.1);
	}
	to {
	  color: #d32f2f;
	  transform: translateX(0%) scale(1);
	}
  }
  @keyframes blink {
	0%, 24%, 76%, 100% {
	  opacity: 1;
	}
	25%, 75% {
	  opacity: 0;
	}
  }
  @keyframes cursor-trail {
	0% {
	  color: white;
	  right: 0px;
	  opacity: 0;
	}
	20% {
	  opacity: 0.6;
	}
	100% {
	  right: 100%;
	  opacity: 0;
	  transform: translateX(100%);
	}
  }

#type-screen #bottom-bar .button h1,
#type-screen #bottom-bar .button span {
	font-size: 16px;
	font-weight: 400;
	line-height: 1.42857143;
	text-align: center;
	white-space: nowrap;
	background: transparent;
	padding: 6px 12px;
}

div#wrapper {
	color: #001E41;
	font-weight: 500;
	font-family: 'Source Sans Pro',sans-serif;
}
#type-screen #top-bar #time, #type-screen #top-bar #speed {
	font-weight: normal;
}
#type-screen #prompt #prompt-number h1#prompt-number-value {
	font-weight: bold;
}
#type-screen #input-field #input-field-letters .letter {
	color: #333;
}
#type-screen #input-field {
	margin-top: 30px;
}
#type-screen #bottom-bar .button span {
	padding: 6px 12px;
	display: inline-flex;
	border: 0px;
	margin: 0px;
	outline: 0px;
}
#type-screen #bottom-bar [class="button"]:hover {
	background-color: #596fdd!important;
}
@media (max-width: 767px) {
	#type-screen .letter {
		width: 11px;
		font-size: 20px;
		height: 30px;
	}
	#type-screen #prompt #prompt-cursor {
		height: 30px;
		left: 11px;
		top: 28px;
	}
	#type-screen #prompt #prompt-letters {
		margin: 30px auto;
	}
	#type-screen #prompt #prompt-number h1#prompt-number-value {
		display: inline-flex;
		justify-content: center;
		align-items: center;
		padding: 0;
		margin: 0;
		width: 20px;
		height: 20px;
	}
	#type-screen #prompt #prompt-number {
		top: 5px;
		background: transparent;
	}
	#type-screen #prompt {
		box-shadow: none;
	}
	
	#type-screen #top-bar #time-box #time #time-value {
		font-size: 20px;
		width: 60px;
		display: inline-flex;
		align-items: center;
		justify-content: center;
	}
	
	#type-screen #top-bar #time-box #time {
		margin: 0;
		padding: 0;
		display: inline-flex;
	}
	
	#type-screen #top-bar #time-box, #type-screen #top-bar #speed-box {
		margin: 0;
		display: inline-flex;
		align-items: center;
		background: #fff;
	}
	
	#type-screen #top-bar #speed-box #speed {
		font-size: 20px;
		margin: 0px;
		width: auto;
		padding: 6px 10px;
	}
	
	#type-screen #top-bar #speed-box #speed #average {
		font-size: 12px;
		width: auto;
		left: auto;
		right: 10px;
	}
	
	#type-screen #author {
		font-size: 16px;
	}
	
	#type-screen #input-field {
		margin-top: 15px;
	}
	#type-screen #history .labels .label.l2, #type-screen #history .labels .label.l3,#type-screen #history #history-items .item .test-no, #type-screen #history #history-items .item .wpm {
		width: 120px;
	}
	
}

.w3-sidebar {
	display: none !important
}
.w3-sidebar.w3-collapse {
	display: none !important
}
.w3-main {
	margin-left: 0 !important
}
a.topnav-icons.fa-menu {
	display: none;
}
div.typingtest {
	text-align: center;
	padding-bottom: 40px;
}
.typingtest #words,
.typingtest #time {
	font-size: 50px;
}
.typingtest #characters,
.typingtest #errors {
	font-size: 30px;
}
.typingtest .corchar {
	color: rgba(30, 144, 255, 0.5);
}
.typingtest .errchar {
	color: rgba(0, 0, 0, 0.5);
	background-color: rgba(255, 0, 0, 0.2);
}
.typingtest #atext,
.typingtest #btext,
.typingtest #ctext,
.typingtest #dtext {
	font-size: 28px;
	line-height: 36px;
	padding: 15px;
	width: 100%;
	text-align: left;
}
.typingtest #btext,
.typingtest #ctext,
.typingtest #dtext {
	position: absolute;
}
.typingtest #dtext {
	padding-top: 0;
	padding-bottom: 0;
	height: auto;
	visibility: hidden;
}
.typingtest .donechars {
	color: transparent;
}
.typingtest #timefooter {
	opacity: 0.5;
}
#finishdiv {
	display: none;
}
#phonebutton {
	display: none;
}
@media (max-width:600px) {
	.typingtest #atext,
	.typingtest #btext,
	.typingtest #ctext,
	.typingtest #dtext {
		font-size: 18px;
		padding: 10px;
		line-height: 24px;
	}
	.w3-info {
		padding: 1px;
	}
	#ctext {
		caret-color: transparent;
	}
	.typingtest #words,
	.typingtest #time {
		font-size: 30px;
	}
	.typingtest #characters,
	.typingtest #errors {
		font-size: 20px;
	}
	.typingtest #timefooter {
		font-size: 14px;
	}
	#phonebutton {
		display: block;
		font-size: 12px;
		opacity: 0.5;
	}
}
.head_typing_speed {
	background: #f8fafd;
	margin-bottom: 40px;
}
.txt_speed {
    border: 1px solid #eee;
    border-radius: 12px;
    overflow: hidden;
}
div#time {
    line-height: 60px;
}
span#timefooter {
    display: flex;
    justify-content: center;
    padding: 15px 0;
}
.typingtest #words, 
.typingtest #time, 
.typingtest #characters, 
.typingtest #errors {
    line-height: 120%;
}
button.w3-btn.w3-large {
    background: #0e77f1;
    padding: 6px 12px;
    font-size: 14px;
    font-weight: 400;
    border-radius: 8px;
    height: 34px;
    margin-top: 10px;
	transition: .3s;
}
button.w3-btn.w3-large:hover {
    background-color: #596fdd;
    text-decoration: none;
}
div#history .title {
    font-size: 3.2rem;
    font-weight: bold;
}
.row_finishdiv {
	display: flex;
	justify-content: center;
}
.row_finishdiv > div {
	display: inline-flex;
	flex-direction: column-reverse;
	width: 110px;
	align-items: center;
	justify-content: flex-end;
	background: #fff;
	border-radius: 12px;
	border: 1px solid #eee;
	margin: 0 5px;
	font-size: 14px;
	line-height: 18px;
	padding-bottom: 5px;
}
.row_finishdiv > div span {
	font-size: 40px!important;
}

.container__typing-result {
	display: flex;
	margin-bottom: 15px;
}

.typing-result__middle {
	width: 100%;
}

#site-content > .category-seo-blog.category-usability {
	width: 100%;
}

#history th {
	text-align: center;
}